org.bouncycastle.bcpg

## Class PublicSubkeyPacket

- java.lang.Object
- - org.bouncycastle.bcpg.Packet
  - - org.bouncycastle.bcpg.ContainedPacket
    - - org.bouncycastle.bcpg.PublicKeyPacket
      - - org.bouncycastle.bcpg.PublicSubkeyPacket

All Implemented Interfaces:
  PacketTags, PublicKeyAlgorithmTags

    public class PublicSubkeyPacket
    extends PublicKeyPacket

basic packet for a PGP public key

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.PublicKeyAlgorithmTags

`DIFFIE_HELLMAN, DSA, EC, ECDSA, ELGAMAL_ENCRYPT, ELGAMAL_GENERAL, EXPERIMENTAL_1, EXPERIMENTAL_10, EXPERIMENTAL_11, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, EXPERIMENTAL_5, EXPERIMENTAL_6, EXPERIMENTAL_7, EXPERIMENTAL_8, EXPERIMENTAL_9, RSA_ENCRYPT, RSA_GENERAL, RSA_SIGN`

### Fields inherited from interface org.bouncycastle.bcpg.PacketTags

`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

### Constructor Summary

Constructors
Constructor and Description
`PublicSubkeyPacket(int algorithm, java.util.Date time, BCPGKey key)` Construct version 4 public key packet.

### Method Summary

Methods
`void` `encode(BCPGOutputStream out)`

### Methods inherited from class org.bouncycastle.bcpg.PublicKeyPacket

`getAlgorithm, getEncodedContents, getKey, getTime, getValidDays, getVersion`

### Methods inherited from class org.bouncycastle.bcpg.ContainedPacket

`getEncoded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublicSubkeyPacket

    public PublicSubkeyPacket(int algorithm,
                      java.util.Date time,
                      BCPGKey key)

Construct version 4 public key packet.

Parameters:
  `algorithm` -
  `time` -
  `key` -

### Method Detail

#### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

Overrides:
  `encode` in class `PublicKeyPacket`
Throws:
  `java.io.IOException`